Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595698 - QMF: support hidden !!descriptors map for types like Expressions
Summary: QMF: support hidden !!descriptors map for types like Expressions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor
Version: Development
Hardware: All
OS: Linux
medium
high
Target Milestone: 1.3
: ---
Assignee: Pete MacKinnon
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks: 517190
TreeView+ depends on / blocked
 
Reported: 2010-05-25 12:06 UTC by Pete MacKinnon
Modified: 2010-07-22 17:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-22 17:11:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pete MacKinnon 2010-05-25 12:06:59 UTC
i.e.

ad = {name: value, name2: value,
      !!descriptors = {name: type annotation}}

where ad is a map, there is no unmanaged ClassAd type

e.g.

ad = {"Owner": "nobody", "Requirements": "TRUE",
      !!descriptors = {"Requirements": "com.redhat.mrg.grid.Expression"}} 

On the C++ side, I will expect native types from cumin that I can query in the absence of a type descriptor.

e.g.,

switch (value.getType()) {
 case VAR_FLOAT: cout << value.asFloat() << endl; break;
 case VAR_UINT8: ...

Comment 1 Pete MacKinnon 2010-06-02 03:33:19 UTC
Changes in place for descriptors type map for requests and responses


Note You need to log in before you can comment on or make changes to this bug.